/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Vivien Quema
 * Contributor(s): 
 */

package org.objectweb.dream;

import java.util.Map;

import org.objectweb.dream.message.Message;

/**
 * This interface is similar to the Push interface. It has been created for
 * allowing a primitive component to provide <code>Push</code> interface two
 * times.
 * 
 * @see org.objectweb.dream.Push
 */
public interface Push1
{

  /**
   * The commonly used name to refer to this interface when it is used as an
   * output.
   */
  String OUT_PUSH_ITF_NAME = "out-push1";

  /**
   * The commonly used name to refer to this interface when it is used as an
   * input.
   */
  String IN_PUSH_ITF_NAME  = "in-push1";

  /**
   * @see Push#push(Message, Map)
   */
  void push1(Message message, Map context) throws PushException;
}