/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.message.codec;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * Attribute controller interface for basic codec repository using a properties
 * file. It define the attribute passed to the
 * {@link ClassLoader#getSystemResourceAsStream(String) }method to retreive the
 * properties file. TODO give a liste of name rather than a single file name.
 */
public interface CodecRepositoryAttributeController extends AttributeController
{

  /**
   * Returns the name of the properties file.
   * 
   * @return the name of the properties file.
   */
  String getPropertiesRessourceName();

  /**
   * Set the name of the properties file.
   * 
   * @param name the name of the properties file.
   * @throws CodecManagerException if the properties file can't be red.
   */
  void setPropertiesRessourceName(String name) throws CodecManagerException;
}